Package org.kapott.hbci.sepa.jaxb.pain_002_002_02

# Class StatusReason1Choice

java.lang.Object
org.kapott.hbci.sepa.jaxb.pain_002_002_02.StatusReason1Choice

public class StatusReason1Choice extends Object

Java class for StatusReason1Choice complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="StatusReason1Choice">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <choice>
               <element name="Cd" type="{urn:swift:xsd:$pain.002.002.02}TransactionRejectReason2Code"/>
               <element name="Prtry" type="{urn:swift:xsd:$pain.002.002.02}RestrictedProprietaryReasonSEPA"/>
             </choice>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected TransactionRejectReason2Code`
`cd`
`protected RestrictedProprietaryReasonSEPA`
`prtry`

## Constructor Summary

Constructors
Constructor
Description
`StatusReason1Choice()`

## Method Summary

Modifier and Type
Method
Description
`TransactionRejectReason2Code`
`getCd()`
Gets the value of the cd property.
`RestrictedProprietaryReasonSEPA`
`getPrtry()`
Gets the value of the prtry property.
`void`
`setCd(TransactionRejectReason2Code value)`
Sets the value of the cd property.
`void`
`setPrtry(RestrictedProprietaryReasonSEPA value)`
Sets the value of the prtry property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### cd

protected TransactionRejectReason2Code cd

### prtry

protected RestrictedProprietaryReasonSEPA prtry

## Constructor Details

### StatusReason1Choice

public StatusReason1Choice()

## Method Details

### getCd

public TransactionRejectReason2Code getCd()
Gets the value of the cd property.

Returns:
  possible object is `TransactionRejectReason2Code`

### setCd

public void setCd(TransactionRejectReason2Code value)
Sets the value of the cd property.

Parameters:
  `value` - allowed object is `TransactionRejectReason2Code`

### getPrtry

public RestrictedProprietaryReasonSEPA getPrtry()
Gets the value of the prtry property.

Returns:
  possible object is `RestrictedProprietaryReasonSEPA`

### setPrtry

public void setPrtry(RestrictedProprietaryReasonSEPA value)
Sets the value of the prtry property.

Parameters:
  `value` - allowed object is `RestrictedProprietaryReasonSEPA`